Groovy JDK

## primitive-types
Class double[]

Method Summary
`Object` | `getAt(int index)` Support the subscript operator for a double array
`Object` | `getAt(Range range)` Support the subscript operator with a range for a double array
`Object` | `getAt(IntRange range)` Support the subscript operator with an IntRange for a double array
`Object` | `getAt(ObjectRange range)` Support the subscript operator with an ObjectRange for a double array
`Object` | `getAt(Collection indices)` Support the subscript operator with a collection for a double array
`Double` | `putAt(int idx, Object newValue)`
`int` | `size()` Allows arrays to behave similar to collections
`List` | `toList()` Converts this array to a List of the same size, with each element added to the list

Method Detail

### getAt

    public Object getAt(int index)

  Support the subscript operator for a double array

Parameters:
  `index` - the index of the item to retrieve.
Returns:
  the double at the given index

### getAt

    public Object getAt(Range range)

  Support the subscript operator with a range for a double array

Parameters:
  `range` - a range indicating the indices for the items to retrieve.
Returns:
  list of the retrieved doubles

### getAt

    public Object getAt(IntRange range)

  Support the subscript operator with an IntRange for a double array

Parameters:
  `range` - an IntRange indicating the indices for the items to retrieve.
Returns:
  list of the retrieved doubles

### getAt

    public Object getAt(ObjectRange range)

  Support the subscript operator with an ObjectRange for a double array

Parameters:
  `range` - an ObjectRange indicating the indices for the items to retrieve.
Returns:
  list of the retrieved doubles

### getAt

    public Object getAt(Collection indices)

  Support the subscript operator with a collection for a double array

Parameters:
  `indices` - a collection of indices for the items to retrieve.
Returns:
  list of the doubles at the given indices

### putAt

    public Double putAt(int idx, Object newValue)

Parameters:

### size

    public int size()

  Allows arrays to behave similar to collections.

Returns:
  the length of the array

See:
  Array#getLength(Object).

### toList

    public List toList()

  Converts this array to a List of the same size, with each element added to the list.

Returns:
  a list containing the contents of this array.

Groovy JDK